Prepare and check storage layer for liwikinews
Closed, ResolvedPublic

Description

The new wiki will be public.

Urbanecm created this task.Sep 28 2018, 2:15 PM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptSep 28 2018, 2:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Urbanecm moved this task from Backlog to Created on the User-Urbanecm board.Sep 28 2018, 2:32 PM
Banyek added a subscriber: Banyek.Sep 28 2018, 2:35 PM

Please ping me (or anybody in the persistance team) when the wiki is created, and I can do the sanitzation

Banyek triaged this task as Normal priority.Sep 28 2018, 2:39 PM
Banyek moved this task from Backlog to On hold on the User-Banyek board.Sep 28 2018, 2:42 PM
Banyek moved this task from On hold to Wait on external on the User-Banyek board.
Marostegui changed the task status from Open to Stalled.
Marostegui added a subscriber: Marostegui.

We are doing some maintenance on s3, moving wikis around - please ask DBA before creating this wikis (if they will be created before the switch back to eqiad - which is scheduled for 10th Oct)
Assigning it to me, to indicate it is blocked on me/DBA

Marostegui changed the task status from Stalled to Open.Oct 11 2018, 6:11 AM
Marostegui removed Marostegui as the assignee of this task.

This can now proceed whenver you guys want.

Banyek claimed this task.Thu, Nov 15, 9:18 AM

doing sanitization

Mentioned in SAL (#wikimedia-operations) [2018-11-15T10:07:42Z] <banyek> sanitizing db2094 ( T205714 T207584 T205713 T206916 )

Mentioned in SAL (#wikimedia-operations) [2018-11-15T10:15:31Z] <banyek> sanitizing db1124 ( T205714 T207584 T205713 T206916 )

Banyek moved this task from In progress to Done on the DBA board.Thu, Nov 15, 10:48 AM
Banyek removed Banyek as the assignee of this task.Thu, Nov 15, 11:10 AM
Banyek added subscribers: GTirloni, Bstorm, bd808.

ready for the views creation

@Banyek did GRANT this wiki into the labsdb user role grants? If not, the views will fail to be created

That and create the _p db. Silly bugs.

@Banyek did GRANT this wiki into the labsdb user role grants? If not, the views will fail to be created

No I did not. I'll look after

@Marostegui I found T178128 but it's still not clear how to GRANT this wiki (well new wikis) Could you show/tell me some more information?

So what @Bstorm refers to is to create first the views` DB (xxx_p) once that is done and due to: https://jira.mariadb.org/browse/MDEV-16466 we need to add the grants manually like this:
GRANT SELECT, SHOW VIEW ON `liwikinews\_p`.* TO 'labsdbuser';

root@labsdb1011.eqiad.wmnet[(none)]> set session sql_log_bin=0; create database liwikinews_p;
Query OK, 0 rows affected (0.00 sec)
root@labsdb1011.eqiad.wmnet[(none)]> set session sql_log_bin=0; GRANT SELECT, SHOW VIEW ON `liwikinews\_p`.* TO 'labsdbuser';
Query OK, 0 rows affected (0.00 sec)
root@labsdb1011.eqiad.wmnet[(none)]> pager grep liwikinews
PAGER set to 'grep liwikinews'
root@labsdb1011.eqiad.wmnet[(none)]> show grants for labsdbuser;
| GRANT SELECT, SHOW VIEW ON `liwikinews\_p`.* TO 'labsdbuser'             |
900 rows in set (0.00 sec)

@Bstorm I have done all that for this wiki, can you check creating the views now on all the hosts?

Bstorm moved this task from Inbox to Doing on the cloud-services-team (Kanban) board.
Bstorm claimed this task.

All set. Verified I can connect and select from cloud systems.

Bstorm closed this task as Resolved.Mon, Nov 26, 11:37 PM